"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LIST_OF_MOCK_CLOUD_EVENT_PARTIALS = void 0;
const alerts_on_alert_published_1 = require("./alerts/alerts-on-alert-published");
const crashlytics_on_new_anr_issue_published_1 = require("./alerts/crashlytics-on-new-anr-issue-published");
const crashlytics_on_new_fatal_issue_published_1 = require("./alerts/crashlytics-on-new-fatal-issue-published");
const crashlytics_on_new_nonfatal_issue_published_1 = require("./alerts/crashlytics-on-new-nonfatal-issue-published");
const crashlytics_on_regression_alert_published_1 = require("./alerts/crashlytics-on-regression-alert-published");
const crashlytics_on_stability_digest_published_1 = require("./alerts/crashlytics-on-stability-digest-published");
const crashlytics_on_velocity_alert_published_1 = require("./alerts/crashlytics-on-velocity-alert-published");
const app_distribution_on_new_tester_ios_device_published_1 = require("./alerts/app-distribution-on-new-tester-ios-device-published");
const billing_on_plan_automated_update_published_1 = require("./alerts/billing-on-plan-automated-update-published");
const billing_on_plan_update_published_1 = require("./alerts/billing-on-plan-update-published");
const eventarc_on_custom_event_published_1 = require("./eventarc/eventarc-on-custom-event-published");
const pubsub_on_message_published_1 = require("./pubsub/pubsub-on-message-published");
const database_1 = require("./database");
const storage_1 = require("./storage");
/**
 * Note: Ordering matters. Some MockEventPartials will match more generally
 * (eg {@link alertsOnAlertPublished}). In addition,
 * {@link eventarcOnCustomEventPublished} acts as a catch-all.
 */
exports.LIST_OF_MOCK_CLOUD_EVENT_PARTIALS = [
    crashlytics_on_new_anr_issue_published_1.alertsCrashlyticsOnNewAnrIssuePublished,
    crashlytics_on_new_fatal_issue_published_1.alertsCrashlyticsOnNewFatalIssuePublished,
    crashlytics_on_new_nonfatal_issue_published_1.alertsCrashlyticsOnNewNonfatalIssuePublished,
    crashlytics_on_regression_alert_published_1.alertsCrashlyticsOnRegressionAlertPublished,
    crashlytics_on_stability_digest_published_1.alertsCrashlyticsOnStabilityDigestPublished,
    crashlytics_on_velocity_alert_published_1.alertsCrashlyticsOnVelocityAlertPublished,
    app_distribution_on_new_tester_ios_device_published_1.alertsAppDistributionOnNewTesterIosDevicePublished,
    billing_on_plan_automated_update_published_1.alertsBillingOnPlanAutomatedUpdatePublished,
    billing_on_plan_update_published_1.alertsBillingOnPlanUpdatePublished,
    alerts_on_alert_published_1.alertsOnAlertPublished,
    storage_1.storageV1,
    pubsub_on_message_published_1.pubsubOnMessagePublished,
    database_1.databaseOnValueCreated,
    database_1.databaseOnValueDeleted,
    database_1.databaseOnValueUpdated,
    database_1.databaseOnValueWritten,
    // CustomEventPublished must be called last
    eventarc_on_custom_event_published_1.eventarcOnCustomEventPublished,
];
